--TEST--
Simple get test
--FILE--
<?php
include_once "connect.inc";
$client = new RiakClient($host, $port);
$bucket = new RiakBucket($client, "test_bucket");
$props = new RiakBucketProperties(3, false);
$bucket->applyProperties($props);

try {
        $obj = new RiakObject("get_head");
        $obj->data = "test-get plap";
        $bucket->put($obj);
        $cfg = new RiakGetRequestConfiguration();
        $cfg->setReturnHead(true);
        $readdenObj = $bucket->get("get_head", $cfg);
        if (!is_null($readdenObj->data)) {
            var_dump($readdenObj);
        }

        $obj = new RiakObject("get_test");
	$obj->contentType = "text/plain";
	$obj->data = "test-get plap";
        $obj->metadata["test"] = "test";
        $bucket->put($obj);
        $readdenObj = $bucket->get("get_test");
        if (strcmp($readdenObj->data, $obj->data) == 0 || strcmp($readdenObj->metadata["test"], "test") !== 0 ) {
		echo "success!";
	}
} catch (Exception $e) {
	var_dump($e);
}
?>
--EXPECT--
success!
